The "Create Shipping Rate" API allows adding a new shipping rate.

http
POST https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rate

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
shippingZoneIdstringYes6578278e879ad2646715ba9cID of the item that needs to be returned

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYesPossible values: 'account'
namestringYesNorth zoneName of the shipping zone
descriptionstringNoShips next dayDelivery description
currencystringYesUSDThe currency of the amount of the rate / handling fee
amountnumberYes99.99The amount of the shipping rate if it is normal rate (0 means free ). Fixed Handling fee if it is a carrier rate (it will add to the carrier rate).
conditionTypestringYespriceType of condition to provide the conditional pricing Possible values: 'none', 'price', 'weight'
minConditionnumberYes99.99Minimum condition for applying this price. set 0 or null if there is no minimum
maxConditionnumberYes99.99Maximum condition for applying this price. set 0 or null if there is no maximum
isCarrierRatebooleanNoTrueis this a carrier rate
shippingCarrierIdstringYes655b33a82209e60b6adb87a5Shipping carrier id
percentageOfRateFeenumberNo10.99Percentage of rate fee if it is a carrier rate.
  • shippingCarrierServices (object[]): An array of items

    • name (string, required): Name of the shipping carrier service Example: Priority Mail Express International

    • value (string, required): Value of the shipping carrier service Example: PriorityMailExpressInternational

Responses

201 - Successful response
  • status (boolean, required): Status of api action Example: True

  • message (string): Success message Example: Successfully created

  • data (object, required): Shipping zone data

json
{
  "status": true,
  "message": "Successfully created"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/store/shipping-zone/YOUR_shippingZoneId/shipping-rate' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "name": "North zone",
  "description": "Ships next day",
  "currency": "USD",
  "amount": 99.99,
  "conditionType": "price",
  "minCondition": 99.99,
  "maxCondition": 99.99,
  "isCarrierRate": true,
  "shippingCarrierId": "655b33a82209e60b6adb87a5",
  "percentageOfRateFee": 10.99,
  "shippingCarrierServices": [
    {
      "name": "Priority Mail Express International",
      "value": "PriorityMailExpressInternational"
    }
  ]
}'

Last updated October 26, 2026

Was this page helpful?